Bug 201131 - mail/fetchmail: Fails to build with X11 enabled
Summary: mail/fetchmail: Fails to build with X11 enabled
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-06-26 19:47 UTC by Ting-Wei Lan
Modified: 2015-06-30 16:29 UTC (History)
1 user (show)

See Also:
chalpin: maintainer-feedback+


Attachments
Use python instead of python:run (401 bytes, patch)
2015-06-26 19:47 UTC, Ting-Wei Lan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ting-Wei Lan 2015-06-26 19:47:44 UTC
Created attachment 158080 [details]
Use python instead of python:run

A simple patch is attached to fix the problem.

It fails with the following message in poudriere:

===>  Configuring for fetchmail-6.3.26_2
===>   FreeBSD 10 autotools fix applied to /wrkdirs/usr/ports/mail/fetchmail/work/fetchmail-6.3.26/config.rpath
configure: loading site script /usr/ports/Templates/config.site
checking build system type... amd64-portbld-freebsd10.1
checking host system type... amd64-portbld-freebsd10.1
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... (cached) /bin/mkdir -p
checking for gawk... (cached) /usr/bin/awk
checking whether gmake sets $(MAKE)... yes
checking whether gmake supports nested variables... yes
checking whether gmake supports nested variables... (cached) yes
checking whether /usr/local/bin/python2.7 version >= 2.0... configure: error: too old
===>  Script "configure" failed unexpectedly.
Please report the problem to chalpin@cs.wisc.edu [maintainer] and attach the
"/wrkdirs/usr/ports/mail/fetchmail/work/fetchmail-6.3.26/config.log" including
the output of the failure of your make command. Also, it might be a good idea
to provide an overview of all packages installed on your system (e.g. a
/usr/local/sbin/pkg-static info -g -Ea).
*** Error code 1

Stop.
make: stopped in /usr/ports/mail/fetchmail
Comment 1 Corey Halpin 2015-06-29 05:23:50 UTC
Looks good to me, works in my testing.  Thank you!
Comment 2 Ting-Wei Lan 2015-06-29 14:29:25 UTC
Are you going to commit it?
Comment 3 commit-hook freebsd_committer 2015-06-30 16:29:13 UTC
A commit references this bug:

Author: amdmi3
Date: Tue Jun 30 16:28:57 UTC 2015
New revision: 390969
URL: https://svnweb.freebsd.org/changeset/ports/390969

Log:
  - Correct python dependency to fix build with X11 enabled

  PR:		201131
  Submitted by:	lantw44@gmail.com
  Approved by:	chalpin@cs.wisc.edu (maintainer)

Changes:
  head/mail/fetchmail/Makefile